Cannon start a gnome session with fglrx (Catalyst 15.9)

Hello,
I installed Catalyst 15.9 from repositories (following this guide: https://en.opensuse.org/SDB:AMD_fglrx). I know that fglrx is not compatible with GDM, so I installed lightdm. KDE session works flawlessly, but when I try to start a Gnome session, I get the sad screen “Oh no! Something has gone wrong”.
I tried to run gnome-shell from terminal to see the output:


# gnome-shell --replace
X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  141 (RANDR)
  Minor opcode of failed request:  13 (RRChangeOutputProperty)
  Value in failed request:  0x77
  Serial number of failed request:  305
  Current serial number in output stream:  307

I have OpenSuSE 13.2 on my laptop, my graphic card is AMD Radeon HD 6370M.

I looked a lot of forums and bug reports, but any of them helped me to resolve my problem.
Thank you for your help!
PS: English is not my first language, sorry for the mistakes!

That means the AMD driver is not running for some reason . Gnome is picky and must of openGL up and running and if drive is not running a fall back driver is used and openGL is not supported. Other desktops don’t care Gnome is picky.

Might want to look in /var/log/xorg.0.log for possible errors

Xorg.0.log:

http://pastebin.com/2TmuJCxD